Subject: Re: [bug#36415] [PATCH] gnu: Add qlogo.

From: Arun Isaac <[email-masked]>
Date: Thu, 04 Jul 2019 22:41:10 +0530

>> I don't know. I have never understood how reproducibility checking works
>> in Guix. Shouldn't --rounds=2 cause `guix build' to error out if there
>> is some non-determinism?
>
> Yes.
>
> This might be a regression.
>
> Build being reported as “in progress” is a feature.  It’s used to
> indicate remaining builds when more than one thing is being built.
>
> In this case, though, it seems like a bug.

Ok.

> To test for reproducibility in this case you may want to use “--check”
> after building the thing once.

With `guix build --no-grafts --check qlogo', I get no error. I assume
that means qlogo is reproducible.

Without '--no-grafts', I just see a graft happening, qlogo is not
rebuilt. Output without '--no-grafts' follows.

The following graft will be made:
   /gnu/store/vamlyscnwndzmq66whrd71ww31jnrz7v-qlogo-0.92.drv
applying 2 grafts for /gnu/store/vamlyscnwndzmq66whrd71ww31jnrz7v-qlogo-0.92.drv...
grafting '/gnu/store/hmnchnawfv8ngl4wh15ni3ychr5ccb9w-qlogo-0.92' -> '/gnu/store/85lialf1aich7b51a77afj187qk32n7h-qlogo-0.92'...
successfully built /gnu/store/vamlyscnwndzmq66whrd71ww31jnrz7v-qlogo-0.92.drv
/gnu/store/85lialf1aich7b51a77afj187qk32n7h-qlogo-0.92

If there's nothing else, may I push qlogo to master?